Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Object_Adapter::Active_Hint_Strategy Class Reference

`#include <Object_Adapter.h>`

Inheritance diagram for TAO_Object_Adapter::Active_Hint_Strategy:

[legend]
Collaboration diagram for TAO_Object_Adapter::Active_Hint_Strategy:

[legend]
List of all members.

## Public Methods
| Active_Hint_Strategy (CORBA::ULong map_size)
virtual | ~Active_Hint_Strategy (void)
virtual int | find_persistent_poa (const poa_name &system_name, TAO_POA *&poa ACE_ENV_ARG_DECL)
virtual int | bind_persistent_poa (const poa_name &folded_name, TAO_POA *poa, poa_name_out system_name)
virtual int | unbind_persistent_poa (const poa_name &folded_name, const poa_name &system_name)
## Protected Types
typedef ACE_Active_Map_Manager_Adapter< poa_name, TAO_POA *, TAO_Preserve_Original_Key_Adapter > | persistent_poa_system_map
## Protected Attributes
persistent_poa_system_map | persistent_poa_system_map_

## Member Typedef Documentation

typedef ACE_Active_Map_Manager_Adapter< poa_name, TAO_POA *, TAO_Preserve_Original_Key_Adapter> TAO_Object_Adapter::Active_Hint_Strategy::persistent_poa_system_map`[protected]`

## Constructor & Destructor Documentation

TAO_Object_Adapter::Active_Hint_Strategy::Active_Hint_Strategy | ( | CORBA::ULong | map_size | ) |

TAO_Object_Adapter::Active_Hint_Strategy::~Active_Hint_Strategy | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_Object_Adapter::Active_Hint_Strategy::bind_persistent_poa | ( | const poa_name & | folded_name,
|  | TAO_POA * | poa,
|  | poa_name_out | system_name
| ) | `[virtual]`

| Reimplemented from TAO_Object_Adapter::Hint_Strategy.

int TAO_Object_Adapter::Active_Hint_Strategy::find_persistent_poa | ( | const poa_name & | system_name,
|  | TAO_POA *&poa | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Reimplemented from TAO_Object_Adapter::Hint_Strategy.

int TAO_Object_Adapter::Active_Hint_Strategy::unbind_persistent_poa | ( | const poa_name & | folded_name,
|  | const poa_name & | system_name
| ) | `[virtual]`

| Reimplemented from TAO_Object_Adapter::Hint_Strategy.

## Member Data Documentation

persistent_poa_system_map TAO_Object_Adapter::Active_Hint_Strategy::persistent_poa_system_map_`[protected]`

The documentation for this class was generated from the following files:

- Object_Adapter.h
- Object_Adapter.cpp